# anything-llm

L'application d'IA tout-en-un pour Desktop et Docker avec RAG intégré, agents d'IA, No-code agent builder, et plus encore. 

# A propos de 

# Prérequis

Vous avez besoin d'une installation docker fonctionnelle et de docker-compose sur votre machine.

# Démarrage

~~~bash
  git clone https://gitea.tips-of-mine.com/Tips-Of-Mine/anything-llm.git
  cd anything-llm
~~~

## Personnalisation

Le fichier .env pour les variable d'environnement
~~~bash
  nano .env
~~~

Modification des labels pour traefik
~~~bash
  nano docker-compose.yml
~~~

~~~bash
export STORAGE_LOCATION=$HOME/anythingllm && \
mkdir -p $STORAGE_LOCATION && \
touch "$STORAGE_LOCATION/.env" && \
docker run -d -p 3001:3001 \
--cap-add SYS_ADMIN \
-v ${STORAGE_LOCATION}:/app/server/storage \
-v ${STORAGE_LOCATION}/.env:/app/server/.env \
-e STORAGE_DIR="/app/server/storage" \
mintplexlabs/anythingllm
~~~

## Lancement

~~~bash
  docker compose up -d
~~~

~~~bash
  docker compose logs -f
~~~

# Buy me a coffe
<a href='https://ko-fi.com/R5R2KNI3N' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi4.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>